import * as CarbonModule from "@carbon/icons-react";
import type { CarbonIconType } from "@carbon/icons-react";
interface ILanguage {
  locale: string;
  name: string;
}
export const DEFAULT_LOCALE = "de";

export const LANGUAGES: Array<ILanguage> = [
  {
    locale: "de",
    name: "Deutsch",
  },
  {
    locale: "en",
    name: "English",
  },
];

export const SENDINBLUE_ENDPOINTS: Record<"de" | "en", string> = {
  de: import.meta.env.PUBLIC_SENDINBLUE_POST_FORM_DE,
  en: import.meta.env.PUBLIC_SENDINBLUE_POST_FORM_EN,
};

export type IconPackageName = "Carbon";
export type CarbonIcon = Record<string, CarbonIconType>;
export type IconSize = 16 | 20 | 24 | 32 | "16" | "20" | "24" | "32";

export const ICON_PACKS: Record<IconPackageName, CarbonIcon> = {
  Carbon: CarbonModule,
};

export const HEAD_INJECT = import.meta.env.PUBLIC_HEAD_INJECT;

export const SITE_TITLE = import.meta.env.PUBLIC_SITE_TITLE || "Fab City OS Suite";
